Subject: [Dime] Diameter load, Annex A.10 Addition and removal of nodes

From: "Trottin, Jean-Jacques (Nokia - FR)" <[email-masked]>
Date: Wed, 16 Mar 2016 12:48:11 +0000

Hi all

This is about draft-ietf-dime-load-01: section  A.10. Addition and removal of Nodes
For node addition, we have:
   When a Diameter node is added, the new node will start by advertising
   its load.  Downstream nodes will need to factor the new load
   information into load balancing decisions.  The downstream nodes
   should attempt to ensure a smooth increase of the traffic to the new
   node, avoiding an immediate spike of traffic to the new node.  It
   should be determined if this use case is in the scope of the load
   control mechanism.

I propose  to remove the "It should be determined......"  sentence and instead to have an explanation. I propose to replace it  with the following text:

The handling of such a smooth increase is implementation specific but it can take into account the evolution of load information received from the new node and from the other nodes.

I have a similar proposal for the node removal case where current  text is:

   When removing a node in a controlled way (e.g. for maintenance
   purpose, so outside a failure case), it might be appropriate to
   progressively reduce the traffic to this node by routing traffic to
   other nodes.  Simple load information (load percentage) would be not
   sufficient.  It should be determined if this use case is in the scope
   of the load control mechanism.

I propose to replace the two last sentences ("Simple load information .... . It should be determined....) by the following text:

The handling of the node removal is implementation specific but it can take into account the evolution of the load information received from the node to be removed.

Thank you for your feedback.

Best regards

JJacques